.gallery_bg{
    background-image: url("../imgs/galley_b.png");
}
.banner_img{
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: -1;
}
.gallery_grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 30px;
    padding: 0px;
}
.gallery_box{
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
  
}
.gallery_box img{
    border-radius: 10px;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
}
.relative{
    position: relative;
}
.gallery_content{
    position: absolute;
    top: 0%;  
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
    display: none;
}

.galley_btn{
    padding: 10px 30px;
    border: none;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
    background-color: var(--color-red);
    color: var(--color-white);
    border-radius: 5px;
    font-weight: 500;
    letter-spacing: 1px;
}
.gallery_box:hover .gallery_content{
    opacity: 1;
    visibility: visible;
}
.gallery_box{
    overflow: hidden;
    transition: 0.3s;
}
.gallery_box img{
    cursor: pointer;
    overflow: hidden;
    transition: 0.3s;
}
.gallery_box img:hover{
    transform: scale(1.2);
}
/*Gallery modal*/
.modal_gallery{
    position: fixed;
    top: 0px;
    width: 100%;
    height: 100%;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
}
.modal_gallery_active{
    opacity: 1;
    visibility: visible;
}
.modal_gallery div{
    width: 50%;
  
}
.close_gallery{
    position: absolute;
    right: 0px;
    width: 40px;
    height: 40px;
    background-color: var(--color-red);
    color: var(--color-white);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}


@media screen and (max-width: 1200px){
    .modal_gallery div{
        width: 70%;
      
    }
}
@media screen and (max-width: 992px){
    .gallery_grid{
        grid-gap: 20px;
        grid-template-columns: repeat(3,1fr);
    }
    .modal_gallery div{
        width: 80%;
      
    }
}
@media screen and (max-width: 768px){
    .gallery_grid{
       
        grid-template-columns: repeat(2,1fr);
    }
}
@media screen and (max-width: 568px){
    .gallery_grid{
       
        grid-template-columns: repeat(1,1fr);
    }
    .modal_gallery div{
        width: 90%;
      
    }
    .close_gallery{
        width: 30px;
        height: 30px;
        font-size: 18px !important;
    }
}